<template>
  <div>
    <div v-if="loading">Data loading...</div>
    <div v-else>
      <div class="row mb-4" v-for="row in rows" :key="'row' + row">
        <div
          class="col d-flex align-items-stretch"
          v-for="(bookable, column) in bookables.slice(
            (row - 1) * columns,
            row * columns
          )"
          :key="'row' + row + column"
        >
          <bookable-list-item
            v-bind="bookable"
          />
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import BookableListItem from "./BookableListItem";
export default {
  components: {
    BookableListItem,
  },
  data() {
    return {
      bookables: [],
      loading: true,
      columns: 3,
    };
  },
  computed: {
    rows() {
      return Math.ceil(this.bookables.length / this.columns);
    },
  },
  created() {
    const request = axios.get("/api/bookables").then((res) => {
      this.bookables = res.data.data;
      this.loading = false;
    });
  },
};
</script>